Subject: Re: [GSoC PATCH v3] t9200: replace test -f/-d with modern path helpers

From: Junio C Hamano <[email-masked]>
Date: Wed, 11 Mar 2026 13:31:44 -0700

Pablo <[email-masked]> writes:

>> Yeah, but if we are going to do so eventually, it would be pointless
>> to use the path helper in that "set up CVS environment and make sure
>> we got a sensible directory structure" check, no?  Upon failure, we
>> will hit test_done that loudly says that their CVS installation is
>> not working as we expect.
>
> Yeah, the new patch will change it back to test -d because it ends up
> in a if condition instead of an assertion.
> Would you prefer to drop that hunk from my v3 or should I send a v4 ?

Yup, let me mark the "cvs setup failure" one ready for 'next'.  The
other hunk that updates "test -[efd]" can become a separate patch.

Thanks.